Open topic with navigation

TIBCO Flogo® Connector for Oracle MySQL 2.4.5

# Oracle MySQL Connection Details

Provide the information for the Oracle MySQL server that this connection connects to.

The MySQL Connector dialog box contains the following fields:
Field | Description
--- | ---
Name | A name for the Oracle MySQL connection that you are creating.
Description | A short string describing the connection.
Host | URL of the server that hosts the Oracle MySQL database. Note: Use IP address from Google Cloud SQL's MySQL instance.
Port | Port number on which the Oracle MySQL database listens. Note: By default, the MySQL Connector cluster is configured with port 3306. For custom configurations, the valid port range is 1024 - 32767. Note: Use default port while connecting to the Google Cloud SQL's MySQL server instance.
Database Name | Name of the Oracle MySQL database.
User | Username of the Oracle MySQL database user.
Password | Password for the MySQL database account.
Maximum Open Connections | Sets the maximum number of open connections to the database. If Maximum Idle Connections is greater than 0 and the Maximum Open Connections is less than the Maximum Idle Connections, then the Maximum Idle Connections is reduced to match the Maximum Open Connections value. Default: 0 (If the value is less than or equal to 0, then there is no maximum limit to the number of open connections to the database.)
Maximum Idle Connections | Sets the maximum number of connections in the idle connection pool. If Maximum Open Connections is greater than 0, but less than the Maximum Idle Connections, then the Maximum Idle Connections is reduced to match the Maximum Open Connections value. Default: 2 If value is less than or equal to 0, then no idle connections are retained.
Maximum Connection Lifetime | Sets the maximum amount of time for which a connection can be reused. Expired connections are closed before reuse. Default: 0 (If value is less than or equal to 0, then connection can be used forever.) Valid time units: ns, us (or µs), ms, s, m, h. Example: 60s, 60m, 6h45m.
Maximum Connection Retry Attempts | Maximum number of attempts the Oracle MySQL connector tries to connect to a database server in case of connection failure. Default: 3
Connection Retry Delay | The time interval between the connection retry attempts. Default: 5 seconds
Connection Timeout | Wait time for establishing the connection. Default: 20 seconds Note: This parameter needs to be tuned based on where the database server is hosted (cloud or on-premise) along with the other connection parameters like Maximum Connection Retry Attempts and the Connection Retry Delay.
Secure Connection | Establishes the secure connection when set to True. TLS: Select the TLS mode from the list. See TLS Modes.

Note:

- Maximum Open Connections must be less than the limit on the number of connections imposed by your database and infrastructure.
- Higher Maximum Open Connections and Maximum Idle Connections values can lead to better performance. However, having a large idle connection pool (with connections that are not reused) can lead to reduced performance.
- To mitigate the risk mentioned in the preceding point, set a relatively short Maximum Connection Lifetime. However, it must not be so short that leads to connections being ended and re-created unnecessarily often.

Subtopics

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO Flogo® Connector for Oracle MySQL

Copyright © 2020-2024. Cloud Software Group, Inc. All Rights Reserved. Confidential & Proprietary.